com.pixelmed.network

## Class NetworkMediaImporter

- java.lang.Object
- - com.pixelmed.dicom.MediaImporter
  - - com.pixelmed.network.NetworkMediaImporter

-     public class NetworkMediaImporter
      extends MediaImporter

  This class is designed to support the importation of DICOM files from interchange media (such as CDs and DVDs) and their transfer over the network as C-STORE requests to a specified AE.

  See Also:
    `MediaImporter`, `DatabaseMediaImporter`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `NetworkMediaImporter.OurMultipleInstanceTransferStatusHandler`

    - ### Nested classes/interfaces inherited from class com.pixelmed.dicom.MediaImporter

      `MediaImporter.MediaImporterWithFileChooserDialogThread, MediaImporter.OurReadTerminationStrategy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SetOfDicomFiles` | `setOfDicomFiles`

    - ### Fields inherited from class com.pixelmed.dicom.MediaImporter

      `logger, mediaDirectoryPath, progressBar, progressBarUpdater, terminateAfterIdentifyingGroup`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetworkMediaImporter(java.lang.String hostname, int port, java.lang.String calledAETitle, java.lang.String callingAETitle, java.lang.String pathName, MessageLogger logger, int debugLevel)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doSomethingWithDicomFileOnMedia(java.lang.String mediaFileName)` Adds the specified file name and its characteristics to the list to be transferred.
    `static void` | `main(java.lang.String[] arg)` Import DICOM files and send to the specified AE as C-STORE requests.

    - ### Methods inherited from class com.pixelmed.dicom.MediaImporter

      `choosePathAndImportDicomFiles, choosePathAndImportDicomFiles, doSomethingWithDicomFileOnMedia, doSomethingWithUnwantedFileOnMedia, getDirectory, importDicomFiles, isOKToImport, logLn`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### setOfDicomFiles

          protected SetOfDicomFiles setOfDicomFiles

  - ### Constructor Detail

    - #### NetworkMediaImporter

          public NetworkMediaImporter(java.lang.String hostname,
                                      int port,
                                      java.lang.String calledAETitle,
                                      java.lang.String callingAETitle,
                                      java.lang.String pathName,
                                      MessageLogger logger,
                                      int debugLevel)

  - ### Method Detail

    - #### doSomethingWithDicomFileOnMedia

          protected void doSomethingWithDicomFileOnMedia(java.lang.String mediaFileName)

      Adds the specified file name and its characteristics to the list to be transferred.

      If any errors are encountered during this process, the exceptions are caught, logged to stderr, and the file will not be transferred.

      Note that the actual transfer is performed later once the characteristics of all the files to be transferred has been ascertained.

      Overrides:
        `doSomethingWithDicomFileOnMedia` in class `MediaImporter`
      Parameters:
        `mediaFileName` - the fully qualified path name to a DICOM file

    - #### main

          public static void main(java.lang.String[] arg)

      Import DICOM files and send to the specified AE as C-STORE requests.

      Parameters:
        `arg` - array of five strings - their hostname, their port, their AE Title, our AE Title, and the path to the media or folder containing the files to import and send